#!/bin/bash
#
# Last update: 2017.11.24

unlink /backup/cpbackup/accounts/latest
ln -s /backup/`date +%F`/accounts /backup/cpbackup/accounts/latest

NAS_Server="192.168.8.46"
LoginID="cp26"

BackupDIR="/backup/`date +%F`/accounts/"
SysBackupDIR="/backup/`date +%F`/system/"

logpath="/usr/local/cpanel/logs/cpbackup/"
log=`date +%Y%m%d`
DATE_14_AGO=`date --date='14 days ago' +"%Y%m%d"`

/bin/rm -f $logpath/$DATE_14_AGO.postbackup.log 2> /dev/null

/usr/bin/rsync -rvlHpDtP --del --ignore-errors --exclude-from=/root/exclude_list.txt --delete-excluded --password-file=/root/rsyncd.secrets $BackupDIR $LoginID@$NAS_Server::$LoginID/last_day/  >> $logpath/$log.postbackup.log
/usr/bin/rsync -rvlHpDtP --del --ignore-errors --password-file=/root/rsyncd.secrets $SysBackupDIR $LoginID@$NAS_Server::$LoginID/system/last_day/  >> $logpath/$log.postbackup.log
